import AABB from '../AABB';
import IAABBShape from '../IAABBShape';
import Vector3 from '../Vector3';
export default class Cylinder implements IAABBShape {
    private referencePoint;
    private radius;
    private depth;
    private radiusSquared;
    constructor(referencePoint: Vector3, radius: number, depth: number);
    GetAABB(): AABB;
    ContainsPoint(point: Vector3): boolean;
    readonly ReferencePoint: Vector3;
    readonly Radius: number;
    readonly Depth: number;
}
