import AABB from '../AABB';
import IAABBShape from '../IAABBShape';
import Vector3 from '../Vector3';
export default class PolygonalPrism implements IAABBShape {
    private shape;
    private depth;
    constructor(shape: Vector3[], depth: number);
    GetAABB(): AABB;
    ContainsPoint(rayStart: Vector3): boolean;
    private checkForHit;
    readonly Shape: Vector3[];
    readonly Depth: number;
}
